/**
 * copyright area
 */

package org.objectweb.speedo.runtime.genclass.collection;

import org.objectweb.jorm.api.PIndexedElem;
import org.objectweb.speedo.api.SpeedoGenClassProxy;
import org.objectweb.speedo.runtime.genclass.GenClassAccessor;
import org.objectweb.speedo.runtime.genclass.GenClass;

/**
 * @author	Sebastien Chassande-Barrioz
 */
public class SetAccessor extends CollectionAccessor implements java.util.Set {

    /**
     * Instanciates and initializes a new set with an initial set size.
     */
    public SetAccessor(SpeedoGenClassProxy jdoProxy) {
        super(jdoProxy);
    }

    // ---------------------------------------------------------------------------
    // Overriden methods
    // ---------------------------------------------------------------------------

    public PIndexedElem createPIndexedElem(GenClassAccessor gca) {
        return new SetElem(gca);
    }

    public boolean speedoAdd(Object o, boolean allowDuplicates) {
        return super.speedoAdd(o, false);
    }
}
